#!/bin/bash
# set thresholds
WARN=$1
CRIT=$2
XE="sudo /opt/xensource/bin/xe"

# get HOST_UUID
HOST_UUID=`grep -oP "INSTALLATION_UUID=\'\K([a-z0-9\-]*)" /etc/xensource-inventory`
# get HOST by HOST_UUID
HOST=`$XE host-list uuid=$HOST_UUID | grep name-label | grep -oP "\ \K([a-z]*)$"`
# get CPU_AVG using host-data-source-query
CPU_AVG=`$XE host-data-source-query host=$HOST data-source=cpu_avg`

CPU_PC=$(echo $CPU_AVG*100 | bc)

INT=${CPU_PC%.*}

if [ $INT -gt $CRIT ]; then
	printf "CRITICAL - CPU Usage at %.2f%%\n" $CPU_PC
	exit 2
fi

if [ $INT -gt $WARN ]; then
	printf "WARNING - CPU Usage at %.2f%%\n" $CPU_PC
	exit 1
fi

printf "OK - CPU Usage at %.2f%%\n" $CPU_PC
